﻿#light

open System
open System.Windows.Forms

// Create a new Form.
let form = new Form()
form.Width <- 400
form.Height <- 300
form.Visible <- true
form.Text <- "Hello Windows Forms"

// Add a menubar, menu tool strip, new class.
let menuMain = form.Menu <- new MainMenu()
let menuFile = form.Menu.MenuItems.Add("&File")
let menuFileQuit = new MenuItem("&Quit")
menuFile.MenuItems.Add(menuFileQuit) |> ignore

// Add common Control
let textB = new RichTextBox()
textB.Dock <- DockStyle.Fill
textB.Text <- "Hello World\n\nOK."
form.Controls.Add(textB)

// Event handler.
menuFileQuit.Click.Add(fun _ -> form.Close())

[<STAThread>]
do Application.Run(form)